Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4285 - S3 Virge / GX 3D Chipset seems to fail to restore VT text mode
Summary: S3 Virge / GX 3D Chipset seems to fail to restore VT text mode
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-31 15:05 UTC by tastin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-23 19:45:00 UTC


Attachments (Terms of Use)

Description tastin 1999-07-31 15:05:02 UTC
During Xconfigurators probing of the card for modes, or
after exiting from X, the text mode of the VT is
scrambled.  None of the fixes listed in bugs 129 or 155
seems to correct this error.  I have seen this bug in 5.2
and 6.0.  Even upgrading to the 3.3.3.1-52 packages had no
effect.  restoretextmode did not help.  setfont did not
help.  Both the SVGA and S3V servers get the same results.
Xwindows itself runs fine, as you can use it without
trouble.  The color terminal screens show none of the
scambling that has occured in the regular terminals.  The
system does not lock up in any way.

Comment 1 tastin 1999-08-03 18:53:59 UTC
I would be quite willing to ship you my video card for the sake of
experimentation, if that would be helpful.  I have spare parts
aplenty.  I tried a fresh install of 6.0 and the error is still
present.

Comment 2 Preston Brown 1999-08-18 17:55:59 UTC
Dave, please verify this bug with the new test 3.3.5 release, will
you?

Comment 3 Preston Brown 1999-08-31 20:14:59 UTC
What is the exact chipset of your card as reported in /proc/pci?  Is
it a ViRGE/GX or ViRGE/GX2?

------- Additional Comments From   08/31/99 21:24 -------
/proc/pci identifies it as a Virge/DX or GX(rev 1).

The company who made the card identifies it as a S# Virge GX 3D
Chipset.  Hope this helps.

Comment 4 tastin 1999-09-08 11:16:59 UTC
I have upgraded the system to the new 3.3.5-0.6.0 XFree86 packages.
Still shows the same error.  I'm getting to the point where I may just
take a few months to examine all the possible culprits in terms of
code.  I'm really only an amatuer coder, but why not.  Maybe it's
something fairly simple...  Any suggestions on where to look?

Comment 5 Bill Nottingham 1999-09-08 18:27:59 UTC
Are you using the framebuffer console?

Comment 6 tastin 1999-09-18 14:26:59 UTC
Nope, just running it Using the standard methods.  The card is
supported under the SVGA server at 24bit color 1024x768.
Xconfigurator identifies it neatly, and sets it up without trouble.
The only difficulty is that once it probes for video modes, you have
to proceed from memory through the menus to finish up.  It becomes
unreadable.  It looks something like this text:
S  e] p i sx d o n y
As if its adding spaces and wrapping the text around about 1 1/2 times
the screen width.  X remains fine though.  Once it's started, you
notice nothing until you attempt to go back to the VT.

Comment 7 tastin 1999-09-19 14:44:59 UTC
I did a quick card switch just to check out a thought.  I replaced one
Virge GX card with another Virge GX card from a different
manufacturer.  The original was a card from AOpen, called the PT75
Plus II.  This is the card with the VT problem.  The STB card I put in
had no such error.  It might be good to list this card as a lemon
somewhere in the hardware compat list.  I'm going to stick the card in
a test system at work for experimentation.  Let me know if anyone
still wants to pursue this bug..

Comment 8 Preston Brown 1999-09-23 19:45:59 UTC
we'll close it since we can't seem to duplicate it with anything but
that evil card, but we will also add it to our "unsupported hardware"
list.


Note You need to log in before you can comment on or make changes to this bug.